<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2012 Thomas Deuling <typo3@coding.ms>, coding.ms
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

/**
 * Class that renders a selection field for Fluid FCE template selection
 * Abgeschaut bei FCESelector der fed-Extension
 *
 * @package    TYPO3
 * @subpackage    ftm
 */
class Tx_Ftm_Backend_InformationRow {

    /**
     * Render a Flexible Content Element type selection field
     *
     * @param array $parameters
     * @param mixed $parentObject
     * @return string
     */
    public function renderField(array &$parameters, &$parentObject) {
            
            
        $name  = $parameters['itemFormElName'];
        $value = $parameters['itemFormElValue'];
        
        // foreach ($parameters as $key => $value) {
            // $select .= $key."<br>";
        // }
        
        
        // Allgemeine Extension-Informationen
        if($parameters['field']=="extensions_info") {
            $infotext = "Hier finden Sie alle unterstützten Extensions.. hier noch mehr Text, weitere Extensions können Sie";
            $infotext.= "natürlich auch wie gewohnt von Hand hinzufügen.<br />";
            $infotext.= "<br />";
            $infotext.= "Die Reihenfolge der Extensions und deren TypoScript im generierten Setup kann via Drag'n'Drop verändert werden.<br />";
            $infotext.= "<br />";
            $infotext.= "Weitere Informationen finden Sie in unserem Wiki!<br />";
            $infotext.= "Fehlt eine Extension die Sie immer verwenden!? Schreiben Sie uns an info@if-20.com<br />";
            $infotext.= "<br />";
        }
        
        else if($parameters['field']=="extension_t3_less_info") {
            $infotext = "FTM-Templates nutzen die t3_less-Extension um CSS zu generieren.<br />";
            $infotext.= "Dabei werden der Pfad zu den Less-Quelldateien und zu den compilierten CSS-Dateien automatisch aus dem angegebenen fileadmin-Verzeichnis generiert.<br />";
            $infotext.= "<br />";
            $infotext.= "Weitere Informationen zum Less im FTM finden Sie ".$this->wikiLink('CSS-LESS', 'hier').".<br />";
            $infotext.= "<br />";
        }
        
        else if($parameters['field']=="less_variable_info") {
            $infotext = "Hier können Less-Variablen für die FTM-Templates generiert werden.<br />";
            $infotext.= "Folgende Less-Variablen bietet der FTM von Haus aus:<br />";
            $infotext.= "<b>@baseUrl</b> -> bspw. http://www.if-20.com <br />";
            $infotext.= "<b>@baseUrlTemplate</b> -> bspw. http://www.if-20.com/fileadmin/if20/<br />";
            $infotext.= "<b>@fileadminDir</b> -> bspw. if20<br />";
            $infotext.= "<br />";
            $infotext.= "Somit können also auch selbst immer aktuelle Variablen generiert werden, <b>@baseUrlImage</b> könnte dann: <b>@{baseUrlTemplate}img/</b> oder alternativ: <b>@{baseUrl}fileadmin/@{fileadminDir}/template/img</b> lauten.<br />";
            $infotext.= "<br />";
            $infotext.= "Weitere Informationen zum Less im FTM finden Sie ".$this->wikiLink('CSS-LESS', 'hier').".<br />";
            $infotext.= "<br />";
        }
        
        else if($parameters['field']=="marker_info") {
            $infotext = "Hier können Sie beliebig viele Marker für Ihr FTM-Template bereitstellen.<br />";
            //$infotext.= "Dabei werden der Pfad zu den Less-Quelldateien und zu den compilierten CSS-Dateien automatisch aus dem angegebenen fileadmin-Verzeichnis generiert.<br />";
            $infotext.= "<br />";
            $infotext.= "Hier werden Sie in Kürze die Möglichkeit haben, vordefinierte Marker direkt zu integrieren.<br />";
            $infotext.= "<br />";
            //$infotext.= "Weitere Informationen zum Less im FTM finden Sie ".$this->wikiLink('CSS-LESS', 'hier').".<br />";
            
            /**
             * @ToDo: Marker-Vorlagen
             */
            
            // $infotext.= "<select>";
            // $infotext.= "<option></option>";
            // $infotext.= "<option></option>";
            // $infotext.= "</select>";
            // $infotext.= "<br />";
        }
        
        
        
        // //  onchange="if (confirm(TBE_EDITOR.labels.onChangeAlert) && TBE_EDITOR.checkSubmit(-1)){ TBE_EDITOR.submitForm() };"
        // $select = '<div><select name="' . htmlspecialchars($name) . '"  class="formField select" data-value="'.$value.'">' . LF;
        // $select .= '<option value=""></option>' . LF;
//         
        // // Da hier keine Repositories/Models existieren, pi-Style ;)
        // $resTemp = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
            // 'short,title',
            // 'tx_iflocalinserat_color',
            // ' tx_iflocalinserat_color.hidden=0 AND tx_iflocalinserat_color.deleted=0',
            // '',
            // 'short ASC'
        // );
        // while($rowTemp = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($resTemp)) {
//             
            // if(trim($rowTemp['short'])=='') {
                // $label = '('.$rowTemp['title'].')';// **Achtung, kein Farb-Kürzel vorhanden**
            // }
            // else {
                // $label = $rowTemp['short'].' ('.$rowTemp['title'].')';
            // }
//             
            // // Wert gefunden!?
            // if($rowTemp['short'] === $value) {
                // $selected = ' selected="selected"';
                // $color = 'black';
            // }
            // else {
                // $selected = '';
            // }
//             
            // $select .= '<option value="'.$rowTemp['short'].'" '.$selected.'>'.$label.'</option>' . LF;
        // }       
        // $GLOBALS['TYPO3_DB']->sql_free_result($resTemp);
//         
        // $select .= '</select></div><br /><span style="color:'.$color.'">Aktueller Wert: \''.htmlspecialchars($value).'\'</span><br />' . LF;
        return $infotext;
    }


    protected function wikiLink($link, $label) {
        $wikiLink = "http://if-20.com/hilfe-community/wiki-documentation/fluid-template-manager/wiki/";
        return "<a href=\"".$wikiLink.$link."/\" target=\"_blank\"><u>".$label."</u></a>";
    }

}

?>