<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Thomas Deuling <typo3@coding.ms>, coding.ms
 *  
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 *
 *
 * @package ftm
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 */
class Tx_Ftm_Domain_Model_TemplateMeta extends Tx_Extbase_DomainObject_AbstractValueObject {

    /**
     * author
     *
     * @var string
     * @since 1.0.0
     */
    protected $author;

    /**
     * copyright
     *
     * @var string
     * @since 1.0.0
     */
    protected $copyright;

    /**
     * robots
     *
     * @var string
     * @since 1.0.0
     */
    protected $robots;

    /**
     * Returns the author
     *
     * @return string $author
     * @since 1.0.0
     */
    public function getAuthor() {
        return $this->author;
    }

    /**
     * Sets the author
     *
     * @param string $author
     * @return void
     * @since 1.0.0
     */
    public function setAuthor($author) {
        $this->author = $author;
    }

    /**
     * Returns the copyright
     *
     * @return string $copyright
     * @since 1.0.0
     */
    public function getCopyright() {
        return $this->copyright;
    }

    /**
     * Sets the copyright
     *
     * @param string $copyright
     * @return void
     * @since 1.0.0
     */
    public function setCopyright($copyright) {
        $this->copyright = $copyright;
    }

    /**
     * Returns the robots
     *
     * @return string $robots
     * @since 1.0.0
     */
    public function getRobots() {
        return $this->robots;
    }

    /**
     * Sets the robots
     *
     * @param string $robots
     * @return void
     * @since 1.0.0
     */
    public function setRobots($robots) {
        $this->robots = $robots;
    }


    /**
     * Sets the default values
     *
     * @return void
     * @since 1.0.0
     */
    public function setDefaults() {
        
    } 

    /**
     * Returns the data as array
     * @return array
     * @since 1.0.0
     */
    public function toArray() {
        
        $data = array();
        $data['author']    = $this->getAuthor();
        $data['copyright'] = $this->getCopyright();
        $data['robots']    = $this->getRobots();
                       
        return $data;
    }

}
?>