<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2013 Thomas Deuling <typo3@coding.ms>, coding.ms
 *              
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Test case for class Tx_Ftm_Domain_Model_Template.
 *
 * @version $Id$
 * @copyright Copyright belongs to the respective authors
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 *
 * @package TYPO3
 * @subpackage Fluid Template Manager
 *
 * @author Thomas Deuling <typo3@coding.ms>
 */
class Tx_Ftm_Domain_Model_TemplateTest extends Tx_Extbase_Tests_Unit_BaseTestCase {
    /**
     * @var Tx_Ftm_Domain_Model_Template
     */
    protected $fixture;

    public function setUp() {
        $this->fixture = new Tx_Ftm_Domain_Model_Template();
    }

    public function tearDown() {
        unset($this->fixture);
    }

    /**
     * @test
     */
    public function getFileadminDirReturnsInitialValueForString() { }

    /**
     * @test
     */
    public function setFileadminDirForStringSetsFileadminDir() { 
        $this->fixture->setFileadminDir('Conceived at T3CON10');

        $this->assertSame(
            'Conceived at T3CON10',
            $this->fixture->getFileadminDir()
        );
    }
    
    /**
     * @test
     */
    public function getConfigReturnsInitialValueForTx_Ftm_Domain_Model_TemplateConfig() { }

    /**
     * @test
     */
    public function setConfigForTx_Ftm_Domain_Model_TemplateConfigSetsConfig() { }
    
    /**
     * @test
     */
    public function getMetaReturnsInitialValueForTx_Ftm_Domain_Model_TemplateMeta() { }

    /**
     * @test
     */
    public function setMetaForTx_Ftm_Domain_Model_TemplateMetaSetsMeta() { }
    
    /**
     * @test
     */
    public function getLanguagesReturnsInitialValueForObjectStorageContainingTx_Ftm_Domain_Model_TemplateLanguages() { 
        $newObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
        $this->assertEquals(
            $newObjectStorage,
            $this->fixture->getLanguages()
        );
    }

    /**
     * @test
     */
    public function setLanguagesForObjectStorageContainingTx_Ftm_Domain_Model_TemplateLanguagesSetsLanguages() { 
        $language = new Tx_Ftm_Domain_Model_TemplateLanguages();
        $objectStorageHoldingExactlyOneLanguages = new Tx_Extbase_Persistence_ObjectStorage();
        $objectStorageHoldingExactlyOneLanguages->attach($language);
        $this->fixture->setLanguages($objectStorageHoldingExactlyOneLanguages);

        $this->assertSame(
            $objectStorageHoldingExactlyOneLanguages,
            $this->fixture->getLanguages()
        );
    }
    
    /**
     * @test
     */
    public function addLanguageToObjectStorageHoldingLanguages() {
        $language = new Tx_Ftm_Domain_Model_TemplateLanguages();
        $objectStorageHoldingExactlyOneLanguage = new Tx_Extbase_Persistence_ObjectStorage();
        $objectStorageHoldingExactlyOneLanguage->attach($language);
        $this->fixture->addLanguage($language);

        $this->assertEquals(
            $objectStorageHoldingExactlyOneLanguage,
            $this->fixture->getLanguages()
        );
    }

    /**
     * @test
     */
    public function removeLanguageFromObjectStorageHoldingLanguages() {
        $language = new Tx_Ftm_Domain_Model_TemplateLanguages();
        $localObjectStorage = new Tx_Extbase_Persistence_ObjectStorage();
        $localObjectStorage->attach($language);
        $localObjectStorage->detach($language);
        $this->fixture->addLanguage($language);
        $this->fixture->removeLanguage($language);

        $this->assertEquals(
            $localObjectStorage,
            $this->fixture->getLanguages()
        );
    }
    
}
?>