<?php
if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}

//if (TYPO3_MODE === 'BE') {

    /**
     * Registers a Backend Module
     */
    Tx_Extbase_Utility_Extension::registerModule(
        $_EXTKEY,
        'web',    // Make module a submodule of 'web'
        'ftm',    // Submodule key
        '999',    // Position
        array(
            'TemplateManager' => 'list,createTemplate,generateTypoScript,generateLessVariable,generateFluid,acceptDisclaimer',
            
        ),
        array(
            'access' => 'user,group',
            'icon'   => 'EXT:' . $_EXTKEY . '/ext_icon.gif',
            'labels' => 'LLL:EXT:' . $_EXTKEY . '/Resources/Private/Language/locallang_ftm.xml',
        )
    );

//}

// Version des FTM
// Diese muss vor dem TER-Upload bereits
// auf der geplanten Version stehen 
if(!defined('FTM_VERSION')) {
    define('FTM_VERSION', '1.0.3');
}
// Benoetigte Extensions
if(!defined('FTM_REQUIRED_EXTENSIONS')) {
    define('FTM_REQUIRED_EXTENSIONS', 't3_less,gridelements,t3editor,static_info_tables');
}






// Include flex forms
$pluginName='Ftm'; // siehe Tx_Extbase_Utility_Extension::registerPlugin
$extName = t3lib_div::underscoredToUpperCamelCase($_EXTKEY);
$pluginSignature = strtolower($extName) . '_'.strtolower($pluginName);
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
t3lib_extMgm::addPiFlexFormValue($pluginSignature, 'FILE:EXT:'.$_EXTKEY.'/Configuration/FlexForms/ExtConf.xml');


// Include Static
t3lib_extMgm::addStaticFile($_EXTKEY, 'Configuration/TypoScript', 'FTM - Fluid Template Manager');



/**
 * FTM-Template
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_template', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_template.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_template');
$TCA['tx_ftm_domain_model_template'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_template',
        'label' => 'fileadmin_dir',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'fileadmin_dir,config,meta,language,fluid,less_variable,menu_container',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/Template.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_template.gif'
    ),
);

/**
 * Basis-Konfiguration
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templateconfig', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templateconfig.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templateconfig');
$TCA['tx_ftm_domain_model_templateconfig'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templateconfig',
        'label' => 'doctype',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'doctype,disable_charset_header,meta_charset,spam_protect_email_addresses,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateConfig.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templateconfig.gif'
    ),
);

/**
 * Meta-Tags
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatemeta', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatemeta.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatemeta');
$TCA['tx_ftm_domain_model_templatemeta'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatemeta',
        'label' => 'author',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'author,copyright,robots,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateMeta.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatemeta.gif'
    ),
);

/**
 * Website-Languages
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatelanguage', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatelanguage.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatelanguage');
$TCA['tx_ftm_domain_model_templatelanguage'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatelanguage',
        
        'label' => 'language_uid',
        'label_alt' => 'language',
        'label_alt_force' => true,
        
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'language_uid,language,locale_all,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateLanguage.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatelanguage.gif'
    ),
);

/**
 * Fluid Templates
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatefluid', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatefluid.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatefluid');
$TCA['tx_ftm_domain_model_templatefluid'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatefluid',
        'label' => 'template_title',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'template_title,template_type,template_file,template_code,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateFluid.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatefluid.gif'
    ),
);

/**
 * Less - Variablen
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatelessvariable', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatelessvariable.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatelessvariable');
$TCA['tx_ftm_domain_model_templatelessvariable'] = array(
    'ctrl' => array(
        'title'    => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatelessvariable',
        
        'label' => 'variable_name',
        'label_alt' => 'variable_title',
        'label_alt_force' => true,
        
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'variable_name,variable_type,variable_value,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateLessVariable.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatelessvariable.gif'
    ),
);

/**
 * Menu - Container
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatemenucontainer', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatemenucontainer.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatemenucontainer');
$TCA['tx_ftm_domain_model_templatemenucontainer'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatemenucontainer',
        'label' => 'menu_name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'menu_name,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateMenuContainer.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatemenucontainer.gif'
    ),
);

/**
 * Menu - Objekte
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatemenuobject', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatemenuobject.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatemenuobject');
$TCA['tx_ftm_domain_model_templatemenuobject'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatemenuobject',
        'label' => 'menu_type',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'menu_type',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateMenuObject.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatemenuobject.gif'
    ),
);

/**
 * Menu - Zustaende
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatemenustate', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatemenustate.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatemenustate');
$TCA['tx_ftm_domain_model_templatemenustate'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatemenustate',
        'label' => 'menu_state',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'menu_state',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateMenuState.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatemenustate.gif'
    ),
);

/**
 * Extension - Basis
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templateext', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templateext.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templateext');
$TCA['tx_ftm_domain_model_templateext'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templateext',
        
        'label' => 'ext_key',
        'label_alt' => 'ext_name',
        'label_alt_force' => true,
        
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'ext_key,ext_name,ext_version,ext_conf_t3_less,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateExt.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templateext.gif'
    ),
);

/**
 * Extension: t3_less - Basis
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templateextt3less', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templateextt3less.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templateextt3less');
$TCA['tx_ftm_domain_model_templateextt3less'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templateextt3less',
        'label' => 'path_to_less_files',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'path_to_less_files,output_folder,less_files,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateExtT3Less.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templateextt3less.gif'
    ),
);

/**
 * Extension: t3_less - Dateien
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templateextt3lessfiles', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templateextt3lessfiles.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templateextt3lessfiles');
$TCA['tx_ftm_domain_model_templateextt3lessfiles'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templateextt3lessfiles',
        
        'label' => 'name',
        'label_alt' => 'media',
        'label_alt_force' => true,
        
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'dividers2tabs' => TRUE,
        'sortby' => 'sorting',
        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'name,media,title,compress,force_on_top,all_wrap,exclude_from_concatenation,exclude_from_page_renderer,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateExtT3LessFiles.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templateextt3lessfiles.gif'
    ),
);

/**
 * Fluid Template-Marker
 */
t3lib_extMgm::addLLrefForTCAdescr('tx_ftm_domain_model_templatemarker', 'EXT:ftm/Resources/Private/Language/locallang_csh_tx_ftm_domain_model_templatemarker.xml');
t3lib_extMgm::allowTableOnStandardPages('tx_ftm_domain_model_templatemarker');
$TCA['tx_ftm_domain_model_templatemarker'] = array(
    'ctrl' => array(
        'title' => 'LLL:EXT:ftm/Resources/Private/Language/locallang_db.xml:tx_ftm_domain_model_templatemarker',
        
        'label' => 'marker_name',
        'label_alt' => 'marker_type',
        'label_alt_force' => true,
        
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'dividers2tabs' => TRUE,

        'versioningWS' => 2,
        'versioning_followPages' => TRUE,
        'origUid' => 't3_origuid',
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => array(
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ),
        'searchFields' => 'marker_name,marker_descriptiom,marker_typo_script,',
        'dynamicConfigFile' => t3lib_extMgm::extPath($_EXTKEY) . 'Configuration/TCA/TemplateMarker.php',
        'iconfile' => t3lib_extMgm::extRelPath($_EXTKEY) . 'Resources/Public/Icons/tx_ftm_domain_model_templatemarker.gif'
    ),
);


?>